import pandas as pd

data = {'X': [1, 2, 3],
        'Y': ['dog', 'cat', 'bird'],
        'Z': [10, 20,30]}
df = pd.DataFrame(data)
print(df)

 

with pd.ExcelWriter('my_data.xlsx') as writer:        #   ファイル名の設定
    df.to_excel(writer, 'Sheet-A')                    #   シートSheet-Aに書き出し
    df.to_excel(writer, 'Sheet-B', index = False)     #   シートSheet-Bにインデックス無しで書き出し

    #           欠測値をNoneで設定
    #           各キーのデータ数は同じでなければならない
    data_1 = {'Data-ID': [1, 2, 3],
              'X': ['犬', '猫', '鳥'],
              'Y': [None, None, 'A'],
              'Z': [None, None, None]}
    df_1 = pd.DataFrame(data_1)
    print(df_1)
    df_1.to_excel(writer, 'Sheet-C', index = None)     #   Sheet-Cとして書き出し

