import openpyxl
import numpy as np

wb = openpyxl.load_workbook('my_data.xlsx')
print(wb.sheetnames)
print(wb['Sheet-A']['C2'].value)
v_cells = wb['Sheet-A']['A2:C3']
for r in v_cells:
    print([v.value for v in r])

wb['Sheet-C']['D4'] = 12345

v = 1
for i in ['C', 'D']:
    for j in [2, 3]:
        wb['Sheet-C']['{0}{1}'.format(i, j)] = v
        v *= 2
wb.save('data_a.xlsx')
