import openpyxl
import numpy as np

wb = openpyxl.load_workbook('my_data.xlsx')
print(wb.sheetnames)
print(wb['Sheet-A'].cell(row = 2, column = 3).value)
v_cells = wb['Sheet-A'].iter_rows(min_row = 2, max_row = 3, min_col = 1, max_col = 3)
for r in v_cells:
    print([v.value for v in r])

wb['Sheet-C'].cell(row = 4, column = 4, value = 12345)
v = 1
for i in [3, 4]:
    for j in [2, 3]:
        wb['Sheet-C'].cell(row = j, column = i, value = v)
        v *= 2

wb.create_sheet('Sheet-D')
wb['Sheet-D'].cell(row = 2, column = 3, value = 'Hello!')
wb['Sheet-D'].cell(row = 3, column = 4, value = 'Bye!')

wb.save('data_b.xlsx')
